<template>
  <div class="form-check">
    <input ref="checkbox" class="form-check-input" type="checkbox" v-model="checked" id="flexCheckDefault">
    <label class="form-check-label" for="flexCheckDefault">
      <slot>Description</slot>
    </label>
  </div>
</template>

<script>

export default {
  name: 'CheckboxFilter',
  props: {
    store_method: {
      type: String,
      required: true
    },
    journal_prop_name: {
      type: String,
      required: true
    }
  },
  computed: {
    checked: {
      set (v) {
        this.$store.commit(this.store_method, v)
      },
      get () {
        return this.$store.state.filters[this.journal_prop_name]
      }
    }
  }
}
</script>
